commit: b0b6fa94b5c39d7641c179686665f679bf95e8c2
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Jun 8 18:20:08 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Jun 8 18:23:53 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b0b6fa94
dev-python/ipyparallel: Bump to 6.3.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/ipyparallel/Manifest | 1 +
dev-python/ipyparallel/ipyparallel-6.3.0.ebuild | 62 +++++++++++++++++++++++++
2 files changed, 63 insertions(+)
diff --git a/dev-python/ipyparallel/Manifest b/dev-python/ipyparallel/Manifest
index 261ff3c93b1..abcf93dbc6f 100644
--- a/dev-python/ipyparallel/Manifest
+++ b/dev-python/ipyparallel/Manifest
@@ -1 +1,2 @@
DIST ipyparallel-6.2.3.tar.gz 2371030 BLAKE2B
73f96bbed280def33ae243e592ecf2e298afe92287cf3a7edb966859c38c6dcb1f1a43082ab83907aa00e06d571f4b750df28e6885a1c2d1fd1489fd4472a7fc
SHA512
ddf479a7776c2ca9fd37aa5b7dd402c136ce62a479333f5f56dce413649f9b928daed56c173ad5325268eaa58667d611257b20c8269899cc06ae2829f973b4c1
+DIST ipyparallel-6.3.0.tar.gz 2380153 BLAKE2B
b8312102e1d2b5fc963491ebe8530e2fd73e9f941f7912fbc72a8db51e7255f5cac95a853d15a57e384926ab1aff27f2a3ad13cc45130a8b612be5dc623538ab
SHA512
fe621854b9cc3e5f88aeca2b06b63bb689dd2feee0da451a0a90800d8832f4b44b23bb9a15033029cc33179276f31e982a10fc7540e6d13b04f15d96c348a295
diff --git a/dev-python/ipyparallel/ipyparallel-6.3.0.ebuild
b/dev-python/ipyparallel/ipyparallel-6.3.0.ebuild
new file mode 100644
index 00000000000..824feb21909
--- /dev/null
+++ b/dev-python/ipyparallel/ipyparallel-6.3.0.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7} )
+PYTHON_REQ_USE="threads(+)"
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1 eutils
+
+DESCRIPTION="Interactive Parallel Computing with IPython"
+HOMEPAGE="https://ipyparallel.readthedocs.io/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc test"
+RESTRICT="!test? ( test )"
+
+# About tests and tornado
+# Upstreams claims to work fine with tornado 5, and it's indeed possible to
+# launch a cluster with tornado 5 installed, but tests definitely don't run
with
+# tornado 5 installed. Upstreams CI runs with tornado 4. This is why we limit
+# ourselves to <tornado-5 when running tests.
+
+RDEPEND="
+ dev-python/decorator[${PYTHON_USEDEP}]
+ dev-python/ipykernel[${PYTHON_USEDEP}]
+ dev-python/ipython[${PYTHON_USEDEP}]
+ dev-python/ipython_genutils[${PYTHON_USEDEP}]
+ dev-python/jupyter_client[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/pyzmq-14.4.0[${PYTHON_USEDEP}]
+ www-servers/tornado[${PYTHON_USEDEP}]
+ "
+BDEPEND="${RDEPEND}
+ doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+ test? (
+ dev-python/ipython[test]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/testpath[${PYTHON_USEDEP}]
+ )
+ "
+
+distutils_enable_sphinx docs
+distutils_enable_tests pytest
+
+src_prepare() {
+ # TODO: investigate
+ sed -e 's:test_unicode:_&:' \
+ -e 's:test_temp_flags:_&:' \
+ -i ipyparallel/tests/test_view.py || die
+
+ distutils-r1_src_prepare
+}
+
+pkg_postinst() {
+ optfeature "Jupyter Notebook integration" dev-python/notebook
+}